package de.kreawi.trainer.dialogs;

import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.scene.layout.Priority;
import javafx.scene.text.Text;

public class KreawiInternalFrameFx extends BorderPane {

  public KreawiInternalFrameFx(final String title, final Pane content) {
    super(content);
    
    getStylesheets().add("/de/kreawi/trainer/dialogs/kreawi_internal_frame.css");
    // dropshadow for the whole thing
    getStyleClass().add("kif");

    // linear gradient as background for the content
    content.getStyleClass().add("kif_content");
    
    if (title != null && !"".equals(title)) {
      final Text titleLabel = new Text(title);
      HBox.setHgrow(titleLabel, Priority.ALWAYS);
      final HBox titleContainer = new HBox(titleLabel);
      titleContainer.getStyleClass().add("kif_title_bar");
      setTop(titleContainer);
      content.getStyleClass().add("kif_content_with_title");
    } else {
      content.getStyleClass().add("kif_content_no_title");
    }

  }
  
  public KreawiInternalFrameFx(final Pane content) {
    this(null, content);
  }
 
}
