package de.kreawi.trainer.dialogs.history;

import de.kreawi.trainer.quiz.KreawiQuiz;


public class HistoryItem {
  
	private final KreawiQuiz quiz;

  private Runnable deleteAction;

	public HistoryItem(final KreawiQuiz quiz) {
	  this.quiz = quiz;
	}
	
	public KreawiQuiz getQuiz() {

	   // stop clock, as clock should not run if quiz is loaded merely for
    // information purposes. Must be resumed by displaying dialog!
	  this.quiz.getStopwatch().stopQuestionTimeTracking();
	  
		return this.quiz;
	}
	
  public void setDeleteAction(final Runnable deleteAction) {
    this.deleteAction = deleteAction;
  }
  
  public void delete() {
    if (deleteAction != null) {
      deleteAction.run();
    }
  }

}
