package de.kreawi.trainer.dialogs.onlineGame;

import de.kreawi.trainer.dialogs.onlineGame.custom_nodes.OGButton;
import de.kreawi.trainer.dialogs.onlineGame.custom_nodes.Subheader;
import javafx.geometry.Pos;
import javafx.scene.layout.VBox;
import javafx.scene.text.Font;
import javafx.scene.text.Text;

public class NotActivatedPage extends VBox {

  private OnlineGameContainer ogc;

  public NotActivatedPage(final OnlineGameContainer ogc) {
    this(null, ogc);
  }
  public NotActivatedPage(final String serverMessage, final OnlineGameContainer ogc) {
    this.ogc = ogc;
    
    final Subheader header = new Subheader("Anmeldung");
    
    final String message;
    if (serverMessage == null || "".equals(serverMessage)) {
      message = "Ihr Zugang wurde noch nicht aktiviert.\n"
          + "Wir haben Ihnen einen Bestätigungslink an Ihre E-Mail Adresse gesendet.";
    } else {
      message = "Anmeldung fehlgeschlagen.\n" + serverMessage;
    }
    final Text text = new Text(message);
    final double padding = 30d;
    text.wrappingWidthProperty().bind(widthProperty().subtract(padding));
    text.setFont(Font.font(14d));
    
    final Runnable loginAction = () -> {
      this.ogc.login();
    };
    final OGButton loginButton = new OGButton("Jetzt anmelden", "Mit Ihrem Online-Account anmelden", loginAction);
    
    final Runnable registerAction = () -> {
      this.ogc.resetAllData();
    };
    final OGButton registerButton = new OGButton("Neu registrieren", "Einen neuen Online-Account registrieren",
        registerAction);
    
    getChildren().addAll(header, text, loginButton, registerButton);
    setAlignment(Pos.CENTER);
    this.setSpacing(10d);
  }
  
  
}
