package de.kreawi.trainer.dialogs.onlineGame;

import de.kreawi.trainer.dialogs.onlineGame.custom_nodes.OGButton;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Node;
import javafx.scene.control.TextField;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.VBox;

public class SignUp extends BorderPane {
  
  private final OnlineGameContainer ogc;

  public SignUp(final OnlineGameContainer ogc) {
    this.ogc = ogc;
    
    setCenter(getLogo());
    final Node signUpForm = getSignUpForm();
    BorderPane.setMargin(signUpForm, new Insets(0, 30, 50, 30));
    setBottom(signUpForm);
  }

  private Node getSignUpForm() {
    
    final TextField emailField = new TextField();
    emailField.setPromptText("Email");
    
    final TextField usernameField = new TextField();
    usernameField.setPromptText("Benutzername");

    final TextField passwordField = new TextField();
    passwordField.setPromptText("Passwort");
    
    final Runnable signUpAction = () -> {
      this.ogc.signup(emailField.getText(), usernameField.getText(), passwordField.getText());
    };
    final OGButton signUpButton = new OGButton("Registrieren", "Diesen Benutzernamen registrieren", signUpAction);
    
    final VBox vbox = new VBox(10, emailField, usernameField, passwordField, signUpButton);
    vbox.setFillWidth(true);
    vbox.setAlignment(Pos.CENTER);
    
    return vbox;
  }

  private Node getLogo() {
    Image image = new Image(getClass().getResourceAsStream("/de/kreawi/trainer/resources/images/logo_big.png"));
    final ImageView imageView = new ImageView(image);
    imageView.setFitWidth(150d);
    // TODO: binding crashes layout
//    imageView.fitWidthProperty().bind(widthProperty().multiply(.5d));
    imageView.setPreserveRatio(true);
    return imageView;
  }
  
}
