package de.kreawi.trainer.dialogs.onlineGame.custom_nodes;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import de.kreawi.trainer.KreawiGlobals;
import de.kreawi.trainer.TrainerMain;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.control.Button;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.BorderPane;
import javafx.scene.text.Text;
import javafx.scene.text.TextAlignment;

public class HeaderWithBackbutton extends BorderPane {

  public static final String BACK_BUTTON_ICON = KreawiGlobals.APP_IMAGES_DIR_NAME + "/back_button.png";

  @SuppressWarnings("unused")
  private static final Logger logger = LoggerFactory.getLogger(HeaderWithBackbutton.class); 

  public HeaderWithBackbutton(final String captionText, final Runnable backAction) {
    
    getStylesheets().add("/de/kreawi/trainer/dialogs/onlineGame/online_game.css");
    
    getStyleClass().add("header");
    
    final ImageView backButtonIcon = new ImageView(new Image(TrainerMain.class.getResourceAsStream(BACK_BUTTON_ICON)));
    final Button backButton = new Button("", backButtonIcon);
    backButton.getStyleClass().add("back-button");
    backButton.setOnAction(new EventHandler<ActionEvent>() {
      @Override
      public void handle(ActionEvent event) {
        backAction.run();
      }
    });
    setLeft(backButton);
    BorderPane.setAlignment(backButton, Pos.CENTER_LEFT);

    final Text caption = new Text(captionText.replace("/", " / ").replace("(A / P)", "(A/P)"));
    caption.getStyleClass().add("header-text");
    caption.setTextAlignment(TextAlignment.CENTER);
    caption.wrappingWidthProperty().bind(widthProperty().subtract(50));
    BorderPane.setAlignment(caption, Pos.CENTER_LEFT);
    setCenter(caption);
    
  }
}
