package de.kreawi.trainer.dialogs.onlineGame.custom_nodes;

import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.scene.Cursor;
import javafx.scene.control.Button;
import javafx.scene.control.Tooltip;
import javafx.scene.effect.BlurType;
import javafx.scene.effect.DropShadow;
import javafx.scene.layout.Background;
import javafx.scene.layout.BackgroundFill;
import javafx.scene.layout.CornerRadii;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;

public class OGButton extends Button {
  
  public OGButton(final String caption, final String tooltip, final Runnable action) {
    this(caption, tooltip, Color.web("#555"), Color.WHITE, action);
  }
  
  public OGButton(final String text, final String tooltip, final Color foreColor, final Color backColor,
      final Runnable action) {
    super(text);
    
    getStylesheets().add("/de/kreawi/trainer/dialogs/onlineGame/online_game.css");
    
    setTextFill(foreColor);
    setTooltip(new Tooltip(tooltip));
    setFont(Font.font("Arial", FontWeight.BOLD, 14d));
    setBackground(new Background(new BackgroundFill(backColor, new CornerRadii(20), Insets.EMPTY)));
    setEffect(new DropShadow(BlurType.THREE_PASS_BOX, Color.web("#000000", .6), 3d, 0d, 0d, 1d));
    
    setCursor(Cursor.HAND);
    
    setOnAction(new EventHandler<ActionEvent>() {
      @Override
      public void handle(ActionEvent event) {
        action.run();
      }
    });
  }
  
  public static OGButton generateRejectButton(final String tooltip, final Runnable action) {
    return new OGButton("X", tooltip, Color.WHITE, Color.web("#f55"), action);
  }

}
