package de.kreawi.trainer.dialogs.onlineGame.custom_nodes;

import java.util.List;

import de.kreawi.trainer.dialogs.onlineGame.OnlineGameContainer;
import de.kreawi.trainer.onlinegame.entities.OnlineGameUser;
import javafx.scene.Node;
import javafx.scene.layout.VBox;

public class UserListView extends OnlineGameScrollPane {
  
  public UserListView(final List<OnlineGameUser> users, final Node header, final OnlineGameContainer ogc) {
    super(getList(users, header, ogc));
    
    setStyle("-fx-background-color: transparent;");
    
  }
  
  public UserListView(final List<OnlineGameUser> users, final OnlineGameContainer ogc) {
    this(users, null, ogc);
  }
  
  private static VBox getList(List<OnlineGameUser> users, final Node header, OnlineGameContainer ogc) {
    final VBox list = new VBox();
    list.setFillWidth(true);
    
    if (header != null) {
      list.getChildren().add(header);
    }

    for (OnlineGameUser user : users) {
      final UserListItemView item = new UserListItemView(user, ogc);
      item.minWidthProperty().bind(list.widthProperty());
      list.getChildren().add(item);
    }
    return list;
  }
  
  public void filerItems(final String filterString) {
    final VBox itemContainer = (VBox) getContent();
    for (Node item : itemContainer.getChildren()) {
      if (item instanceof UserListItemView) {
        final UserListItemView uliv = (UserListItemView) item;
        final boolean allElements = filterString == null || "".equals(filterString);
        final boolean visible = allElements || uliv.getUser().getUserName().contains(filterString);
        item.setVisible(visible);
        item.setManaged(visible);
      }
    }
  }

}
