package de.kreawi.trainer.onlinegame.entities;

public class OnlineGameResults {

  private String winnerId;
  
  private String winnerName;
  
  private OnlineGameResultsRound[] rounds = new OnlineGameResultsRound[0];
  
  public String getWinnerId() {
    return winnerId;
  }

  public void setWinnerId(String winnerId) {
    this.winnerId = winnerId;
  }

  public String getWinnerName() {
    return winnerName;
  }

  public void setWinnerName(String winnerName) {
    this.winnerName = winnerName;
  }

  public OnlineGameResultsRound[] getRounds() {
    return rounds;
  }

  public void setRounds(OnlineGameResultsRound[] rounds) {
    this.rounds = rounds;
  }

  public static class OnlineGameResultsRound {
    
    private String roundNo;
    
    private String topicName;
    
    private String winnerId;
    
    private OnlineGameResultsPlayer[] players;

    public String getRoundNo() {
      return roundNo;
    }

    public void setRoundNo(String roundNo) {
      this.roundNo = roundNo;
    }

    public String getTopicName() {
      return topicName;
    }

    public void setTopicName(String topicName) {
      this.topicName = topicName;
    }

    public String getWinnerId() {
      return winnerId;
    }

    public void setWinnerId(String winnerId) {
      this.winnerId = winnerId;
    }

    public OnlineGameResultsPlayer[] getPlayers() {
      return players;
    }

    public void setPlayers(OnlineGameResultsPlayer[] players) {
      this.players = players;
    }
    
  }
  
  public static class OnlineGameResultsPlayer {
    
    private String userId;
    
    private String userName;
    
    private String userStatus;
    
    private String profileImage;
    
    private String quizChallengeId;
    
    private String roundNo;
    
    private boolean winnerFlg;
    
    private String timeTaken;
    
    private String rightQuestions;
    
    private String wrongQuestions;
    
    private OnlineGameResultsQuestion[] questions;

    public String getUserId() {
      return userId;
    }

    public void setUserId(String userId) {
      this.userId = userId;
    }

    public String getUserName() {
      return userName;
    }

    public void setUserName(String userName) {
      this.userName = userName;
    }

    public String getUserStatus() {
      return userStatus;
    }

    public void setUserStatus(String userStatus) {
      this.userStatus = userStatus;
    }

    public String getProfileImage() {
      return profileImage;
    }

    public void setProfileImage(String profileImage) {
      this.profileImage = profileImage;
    }

    public String getQuizChallengeId() {
      return quizChallengeId;
    }

    public void setQuizChallengeId(String quizChallengeId) {
      this.quizChallengeId = quizChallengeId;
    }

    public String getRoundNo() {
      return roundNo;
    }

    public void setRoundNo(String roundNo) {
      this.roundNo = roundNo;
    }

    public boolean isWinnerFlg() {
      return winnerFlg;
    }

    public void setWinnerFlg(boolean winnerFlg) {
      this.winnerFlg = winnerFlg;
    }

    public String getTimeTaken() {
      return timeTaken;
    }

    public void setTimeTaken(String timeTaken) {
      this.timeTaken = timeTaken;
    }

    public String getRightQuestions() {
      return rightQuestions;
    }

    public void setRightQuestions(String rightQuestions) {
      this.rightQuestions = rightQuestions;
    }

    public String getWrongQuestions() {
      return wrongQuestions;
    }

    public void setWrongQuestions(String wrongQuestions) {
      this.wrongQuestions = wrongQuestions;
    }

    public OnlineGameResultsQuestion[] getQuestions() {
      return questions;
    }

    public void setQuestions(OnlineGameResultsQuestion[] questions) {
      this.questions = questions;
    }
    
  }
  
  public static class OnlineGameResultsQuestion {
    
    private String questionId;
    
    private int qIndex;
    
    private boolean correct;
    
    private String hintsUsed;

    public String getQuestionId() {
      return questionId;
    }

    public void setQuestionId(String questionId) {
      this.questionId = questionId;
    }

    public int getqIndex() {
      return qIndex;
    }

    public void setqIndex(int qIndex) {
      this.qIndex = qIndex;
    }

    public boolean isCorrect() {
      return correct;
    }

    public void setCorrect(boolean correct) {
      this.correct = correct;
    }

    public String getHintsUsed() {
      return hintsUsed;
    }

    public void setHintsUsed(String hintsUsed) {
      this.hintsUsed = hintsUsed;
    }
    
  }
}
