package de.kreawi.trainer.util.swingx;

import java.util.regex.Pattern;

import org.jdesktop.swingx.decorator.PatternFilter;

public class RowPatternFilter extends PatternFilter {
	private int numberOfColumns = -1;

	public RowPatternFilter(String searchText, int matchFlags,
			int numberOfColumns) {
		super(searchText, matchFlags, 0); // Default to first column for ease.

		if (numberOfColumns < 0)
			throw new IllegalArgumentException(
					"Number of columns cannot be negative.");

		this.numberOfColumns = numberOfColumns;
	}

	@Override
	public boolean test(int row) {
		
		Pattern pattern = getPattern();
		
		if (pattern == null)
			return false;

		for (int i = 0; i < numberOfColumns; i++) {
			String text = getInputString(row, i);
			if (text == null || text.length() == 0)
				continue;

			if (pattern.matcher(text).find())
				return true;
		}

		return false;
	}
}
